module Core.HTTP ( app ) where

import Core.Types

import Core.Templates       (renderIndex)
import Feature.Sharing.HTTP as Sharing

import Network.Wai.Middleware.RequestLogger (logStdoutDev)
import Web.Scotty.Trans 

app :: PurrApp ()
app = do
  -- Middleware definition
  middleware logStdoutDev

  -- Core Routes
  get "/" $ do
    html $ renderIndex

  -- Feature Routes
  Sharing.routes
