{-# LANGUAGE QuasiQuotes #-}
{-# LANGUAGE TemplateHaskell #-}

module Core.Templates ( renderIndex ) where

import qualified Data.Text.Lazy                as LT

import Database.MongoDB              (Document)
import Text.Blaze.Html.Renderer.Text (renderHtml)
import Text.Blaze.Html
import Text.Hamlet                   (shamletFile)

import Prelude 

renderIndex :: LT.Text
renderIndex = renderHtml ( $(shamletFile "./views/index.hamlet") )
